| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.VectorFunctionPlotter1d Class Reference

Form for training artificial neural networks. More...

Inheritance diagram for IG.Forms.VectorFunctionPlotter1d:
[legend]
Collaboration diagram for IG.Forms.VectorFunctionPlotter1d:
[legend]

## Public Member Functions
| VectorFunctionPlotter1d ()
virtual double | CalculateOutput (IVector parameters, int whichOutput)
| Calculates the specified output value of the vector function at the specified parameters. More...
void | ApplyPlotterSettingsDefault (PlotterZedGraph plotter, int whichInput, int numInputs, int whichOutput, int numOutpts)
| Applies style and other settings to the plotter used to show the parametric graph. More...
void | ApplyPlotCurveSettingsDefault (PlotZedgraphCurve plot, int whichInput, int numInputs, int whichOutput, int numOutpts)
| Applies style and other settings to the plotter used to show the parametric graph. More...
void | PlotParametricTest ()
| plots the selected outpt dependend on the selected parameter. More...

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Protected Attributes
int | _selectedParameterId = 0
int | _selectedOutputId = 0
int | _numPoints = 50

## Properties
IReporter | Reporter`[get]`
| Reorter used for launching info, warning and error reports. More...
InputOutputDataDefiniton | NeuralDataDefinition`[get, set]`
| Data about input and output quantities of the manipulated functions or response. More...
IScalarFunction | ScalarFunction`[set]`
IVectorFunction | Function`[get, set]`
int | NumInputParameters`[get]`
| Gets number of input parameters. More...
int | NumOutputValues`[get]`
| Gets number of output values. More...
IVector | ParameterValues`[get]`
| Vector of current values of input parameters as defined by the DadaGridView. More...
double[] | MinValues`[get]`
| Minimal values of parameters. More...
double[] | MaxValues`[get]`
| Maximal values of parameters. More...
int | SelectedParameterId`[get, protected set]`
| Sequential number of the selected parameter as specified by the user. More...
double | SelectedParameterMin`[get]`
| Minimal value of the selected parameter. More...
double | SelectedParameterMax`[get]`
| Maximal value of the selected parameter as specified by the user. More...
int | SelectedOutputId`[get, protected set]`
int | NumPlotPoints`[get, set]`
| Number of plotting points. More...
string | SelectedParameterLabelText`[get]`
| Gets axis label text for the currently selected parameter. More...
string | SelectedOutputLabelText`[get]`
| Gets axis label text for the currently selected output value. More...
bool | PlotImmediately`[get, set]`
| If true then graph is pletted immediately when any parameter changes that affects it appearance. More...
bool | PlotImmediatelyOnNumPointsValueChanged`[get, set]`
PlotterZedGraph | Plotter`[get]`
| Plotter that is used for plotting the graphs. More...

## Private Member Functions
void | btnParmTestStart_Click (object sender, EventArgs e)
| Plots the parametric test. More...
void | neuralInputParameterSelector1_SelectedParameterIdChanged (object o, IndexChangeEventArgs e)
| Executes when ID of the selected input parameter changes; Plots the parametric test. More...
void | neuralInputParameterSelector1_SelectedParameterMinChanged (object sender, IG.Forms.ValueChangeEventArgs e)
| Executes when minimal value of the selected parameter changes by user interaction; Plots the parametric test. More...
void | neuralInputParameterSelector1_SelectedParameterMaxChanged (object sender, ValueChangeEventArgs e)
| Executes when maximal value of the selected parameter changes by user interaction; Plots the parametric test. More...
void | neuralOutputValueSelector1_SelectedOutputIdChanged (object sender, IndexChangeEventArgs e)
| Executes when ID of the selected output value changes; Plots the parametric test. More...
void | btnTestFunction_Click (object sender, EventArgs e)
| Generates a test fuction to be plotted. More...
void | btnCheck_Click (object sender, EventArgs e)
| Reports state of data in a fading message. More...
void | btnIdentifyThread_Click (object sender, EventArgs e)
| Report identity information of the running thread in a fading message. More...
void | chkPlotImmediately_CheckedChanged (object sender, EventArgs e)
void | numNumPlotPoints_Validated (object sender, EventArgs e)
void | numNumPlotPoints_ValueChanged (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
InputOutputDataDefiniton | _neuralDataDefinition
IScalarFunction | _scalarFunction
IVectorFunction | _function
bool | _plotImmediately = false
bool | _plotImmediatelyOnNumPointsValueChanged = true
PlotterZedGraph | _plotter
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
InputParametersControl | neuralInputControl1
System.Windows.Forms.Panel | pnlGraph
System.Windows.Forms.NumericUpDown | numNumPlotPoints
System.Windows.Forms.Label | lblNumPointsLine
ZedGraph.ZedGraphControl | ParmTestFGraph
System.Windows.Forms.Button | btnParamTestStart
Forms.OutputValueSelector | neuralOutputValueSelector1
InputParameterSelectorMinMax | neuralInputParameterSelector1
System.Windows.Forms.Button | btnCheck
System.Windows.Forms.Button | btnIdentifyThread
System.Windows.Forms.Button | btnTestFunction
System.Windows.Forms.CheckBox | chkPlotImmediately
IndicatorLight | indicatorLight1

## Detailed Description

Form for training artificial neural networks.

$A Igor Jul13;

## Constructor & Destructor Documentation

IG.Forms.VectorFunctionPlotter1d.VectorFunctionPlotter1d | ( |  | ) |
| inline

## Member Function Documentation

virtual double IG.Forms.VectorFunctionPlotter1d.CalculateOutput | ( | IVector | parameters,
|  | int | whichOutput
| ) |  |
| inline virtual

Calculates the specified output value of the vector function at the specified parameters.

Parameters

  parameters | Parameter values.
  whichOutput | Specifies which output value (which element of the vector function) should be calculated.

Returns
  The calculated vector function component.

References IG.Lib.Function.

void IG.Forms.VectorFunctionPlotter1d.ApplyPlotterSettingsDefault | ( | PlotterZedGraph | plotter,
|  | int | whichInput,
|  | int | numInputs,
|  | int | whichOutput,
|  | int | numOutpts
| ) |  |
| inline

Applies style and other settings to the plotter used to show the parametric graph.

Parameters

  plotter | Plotter to which settings are applied.
  whichInput | ID of the input to be plotted.
  whichOutpput | ID of the output to be plotted.

References IG.Gr.PlotterZedGraph.IsShowPointValues, IG.Gr.PlotterZedGraph.XAxisLabel, and IG.Gr.PlotterZedGraph.YAxisLabel.

void IG.Forms.VectorFunctionPlotter1d.ApplyPlotCurveSettingsDefault | ( | PlotZedgraphCurve | plot,
|  | int | whichInput,
|  | int | numInputs,
|  | int | whichOutput,
|  | int | numOutpts
| ) |  |
| inline

Applies style and other settings to the plotter used to show the parametric graph.

Parameters

  plotter | Plotter to which settings are applied.
  whichInput | ID of the input to be plotted.
  whichOutpput | ID of the output to be plotted.

References IG.Gr.PlotZedgraphCurve.LineColor, IG.Gr.PlotZedgraphCurve.LineWidth, IG.Gr.PlotZedgraphCurve.PointBorderColor, IG.Gr.PlotZedgraphCurve.PointFillColor, and IG.Gr.PlotZedgraphCurve.PointsVisible.

void IG.Forms.VectorFunctionPlotter1d.PlotParametricTest | ( |  | ) |
| inline

plots the selected outpt dependend on the selected parameter.

References IG.Gr.PlotZedgraphCurve.AddPoint(), IG.Num.VectorBase.CopyPlain(), and IG.Lib.Function.

void IG.Forms.VectorFunctionPlotter1d.btnParmTestStart_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

Plots the parametric test.

void IG.Forms.VectorFunctionPlotter1d.neuralInputParameterSelector1_SelectedParameterIdChanged | ( | object | o,
|  | IndexChangeEventArgs | e
| ) |  |
| inline private

Executes when ID of the selected input parameter changes; Plots the parametric test.

Parameters

  o | Control that raised the event.
  e | Event arguments containing old and new value.

void IG.Forms.VectorFunctionPlotter1d.neuralInputParameterSelector1_SelectedParameterMinChanged | ( | object | sender,
|  | IG.Forms.ValueChangeEventArgs | e
| ) |  |
| inline private

Executes when minimal value of the selected parameter changes by user interaction; Plots the parametric test.

Parameters

  sender | Control that generated the event.
  e | Event arrguments containing old and new value.

void IG.Forms.VectorFunctionPlotter1d.neuralInputParameterSelector1_SelectedParameterMaxChanged | ( | object | sender,
|  | ValueChangeEventArgs | e
| ) |  |
| inline private

Executes when maximal value of the selected parameter changes by user interaction; Plots the parametric test.

Parameters

  sender | Control that raised the event.
  e | Event arguments containing the old and new value.

void IG.Forms.VectorFunctionPlotter1d.neuralOutputValueSelector1_SelectedOutputIdChanged | ( | object | sender,
|  | IndexChangeEventArgs | e
| ) |  |
| inline private

Executes when ID of the selected output value changes; Plots the parametric test.

Parameters

  sender | Control that generated the event.
  e | Event arguments, contain old and new value of the index.

void IG.Forms.VectorFunctionPlotter1d.btnTestFunction_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

Generates a test fuction to be plotted.

References IG.Num.InputOutputDataDefiniton.CreateDefault(), and IG.Lib.Function.

void IG.Forms.VectorFunctionPlotter1d.btnCheck_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

Reports state of data in a fading message.

Parameters

  sender |
  e |

References IG.Forms.FadingMessage.Launch().

void IG.Forms.VectorFunctionPlotter1d.btnIdentifyThread_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

Report identity information of the running thread in a fading message.

Parameters

  sender |
  e |

References IG.Forms.UtilForms.IdentifyCurrentThread().

void IG.Forms.VectorFunctionPlotter1d.chkPlotImmediately_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.VectorFunctionPlotter1d.numNumPlotPoints_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.VectorFunctionPlotter1d.numNumPlotPoints_ValueChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

override void IG.Forms.VectorFunctionPlotter1d.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.VectorFunctionPlotter1d.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

InputOutputDataDefiniton IG.Forms.VectorFunctionPlotter1d._neuralDataDefinition
| private

IScalarFunction IG.Forms.VectorFunctionPlotter1d._scalarFunction
| private

IVectorFunction IG.Forms.VectorFunctionPlotter1d._function
| private

int IG.Forms.VectorFunctionPlotter1d._selectedParameterId = 0
| protected

int IG.Forms.VectorFunctionPlotter1d._selectedOutputId = 0
| protected

int IG.Forms.VectorFunctionPlotter1d._numPoints = 50
| protected

bool IG.Forms.VectorFunctionPlotter1d._plotImmediately = false
| private

bool IG.Forms.VectorFunctionPlotter1d._plotImmediatelyOnNumPointsValueChanged = true
| private

PlotterZedGraph IG.Forms.VectorFunctionPlotter1d._plotter
| private

System.ComponentModel.IContainer IG.Forms.VectorFunctionPlotter1d.components = null
| private

Required designer variable.

InputParametersControl IG.Forms.VectorFunctionPlotter1d.neuralInputControl1
| private

System.Windows.Forms.Panel IG.Forms.VectorFunctionPlotter1d.pnlGraph
| private

System.Windows.Forms.NumericUpDown IG.Forms.VectorFunctionPlotter1d.numNumPlotPoints
| private

System.Windows.Forms.Label IG.Forms.VectorFunctionPlotter1d.lblNumPointsLine
| private

ZedGraph.ZedGraphControl IG.Forms.VectorFunctionPlotter1d.ParmTestFGraph
| private

System.Windows.Forms.Button IG.Forms.VectorFunctionPlotter1d.btnParamTestStart
| private

Forms.OutputValueSelector IG.Forms.VectorFunctionPlotter1d.neuralOutputValueSelector1
| private

InputParameterSelectorMinMax IG.Forms.VectorFunctionPlotter1d.neuralInputParameterSelector1
| private

System.Windows.Forms.Button IG.Forms.VectorFunctionPlotter1d.btnCheck
| private

System.Windows.Forms.Button IG.Forms.VectorFunctionPlotter1d.btnIdentifyThread
| private

System.Windows.Forms.Button IG.Forms.VectorFunctionPlotter1d.btnTestFunction
| private

System.Windows.Forms.CheckBox IG.Forms.VectorFunctionPlotter1d.chkPlotImmediately
| private

IndicatorLight IG.Forms.VectorFunctionPlotter1d.indicatorLight1
| private

## Property Documentation

IReporter IG.Forms.VectorFunctionPlotter1d.Reporter
| get private

Reorter used for launching info, warning and error reports.

InputOutputDataDefiniton IG.Forms.VectorFunctionPlotter1d.NeuralDataDefinition
| get set

Data about input and output quantities of the manipulated functions or response.

Referenced by IG.Forms.VectorFunctionScriptControl.btnPlot1d_Click(), and IG.Forms.ScalarFunctionScriptControl.btnPlot1d_Click().

IScalarFunction IG.Forms.VectorFunctionPlotter1d.ScalarFunction
| set

Referenced by IG.Forms.ScalarFunctionScriptControl.btnPlot1d_Click().

IVectorFunction IG.Forms.VectorFunctionPlotter1d.Function
| get set

Referenced by IG.Forms.VectorFunctionScriptControl.btnPlot1d_Click().

int IG.Forms.VectorFunctionPlotter1d.NumInputParameters
| get

Gets number of input parameters.

int IG.Forms.VectorFunctionPlotter1d.NumOutputValues
| get

Gets number of output values.

IVector IG.Forms.VectorFunctionPlotter1d.ParameterValues
| get

Vector of current values of input parameters as defined by the DadaGridView.

double [] IG.Forms.VectorFunctionPlotter1d.MinValues
| get

Minimal values of parameters.

double [] IG.Forms.VectorFunctionPlotter1d.MaxValues
| get

Maximal values of parameters.

int IG.Forms.VectorFunctionPlotter1d.SelectedParameterId
| get protected set

Sequential number of the selected parameter as specified by the user.

double IG.Forms.VectorFunctionPlotter1d.SelectedParameterMin
| get

Minimal value of the selected parameter.

double IG.Forms.VectorFunctionPlotter1d.SelectedParameterMax
| get

Maximal value of the selected parameter as specified by the user.

int IG.Forms.VectorFunctionPlotter1d.SelectedOutputId
| get protected set

int IG.Forms.VectorFunctionPlotter1d.NumPlotPoints
| get set

Number of plotting points.

string IG.Forms.VectorFunctionPlotter1d.SelectedParameterLabelText
| get

Gets axis label text for the currently selected parameter.

string IG.Forms.VectorFunctionPlotter1d.SelectedOutputLabelText
| get

Gets axis label text for the currently selected output value.

bool IG.Forms.VectorFunctionPlotter1d.PlotImmediately
| get set

If true then graph is pletted immediately when any parameter changes that affects it appearance.

bool IG.Forms.VectorFunctionPlotter1d.PlotImmediatelyOnNumPointsValueChanged
| get set

PlotterZedGraph IG.Forms.VectorFunctionPlotter1d.Plotter
| get

Plotter that is used for plotting the graphs.

The documentation for this class was generated from the following files:

- extensions/iglibext/Forms/Numeric/FromNeural/VectorFunctionPlotter1d.cs
- extensions/iglibext/Forms/Numeric/FromNeural/VectorFunctionPlotter1d.Designer.cs